---
schemaVersion: v1
kind: Transfer

stages:
  Collect:
    plugins:
      - name: hoppr.core_plugins.collect_apt_plugin
      - name: hoppr.core_plugins.collect_dnf_plugin
      - name: hoppr.core_plugins.collect_docker_plugin
      - name: hoppr.core_plugins.collect_git_plugin
      - name: hoppr.core_plugins.collect_golang_plugin
      - name: hoppr.core_plugins.collect_helm_plugin
      - name: hoppr.core_plugins.collect_maven_plugin
      - name: hoppr.core_plugins.collect_npm_plugin
      - name: hoppr.core_plugins.collect_nuget_plugin
      - name: hoppr.core_plugins.collect_pypi_plugin
      - name: hoppr.core_plugins.collect_raw_plugin
  Bundle:
    plugins:
      - name: hoppr.core_plugins.bundle_tar
        config:
          tarfile_name: test/regression/tarfile.tar.gz
  Validate:
    plugins:
      - name: test.regression.regression_test_plugin

max_processes: 3
